import client from "jmap-client-ts/lib/types";
export interface IAccount extends client.IAccount {
	id: string;
	mailboxes: Array<client.IMailboxProperties>;
}

export type AccountIdMap = { [accountId: string]: IAccount };

export interface ISession extends client.ISession {
	accounts: AccountIdMap;
}
